diff --git a/libRTI/ieee1516-2010/Handle.cpp b/libRTI/ieee1516-2010/Handle.cpp
index a9003242..0f567289 100644
--- a/libRTI/ieee1516-2010/Handle.cpp
+++ b/libRTI/ieee1516-2010/Handle.cpp
@@ -44,7 +44,7 @@ namespace rti1516e {
         _impl = new HandleKind##Implementation(encodedValue);                                                          \
     }                                                                                                                  \
                                                                                                                        \
-    HandleKind::~HandleKind() throw()                                                                                  \
+    HandleKind::~HandleKind() noexcept                                                                                 \
     {                                                                                                                  \
         delete _impl;                                                                                                  \
     }                                                                                                                  \
@@ -111,7 +111,7 @@ namespace rti1516e {
     {                                                                                                                  \
         return _impl->encodedLength();                                                                                 \
     }                                                                                                                  \
-    size_t HandleKind::encode(void* buffer, size_t bufferSize) const throw(CouldNotEncode)                             \
+    size_t HandleKind::encode(void* buffer, size_t bufferSize) const                                                   \
     {                                                                                                                  \
         return _impl->encode(buffer, bufferSize);                                                                      \
     }                                                                                                                  \
diff --git a/libRTI/ieee1516-2010/HandleImplementation.cpp b/libRTI/ieee1516-2010/HandleImplementation.cpp
index 8d0e4468..704231f2 100644
--- a/libRTI/ieee1516-2010/HandleImplementation.cpp
+++ b/libRTI/ieee1516-2010/HandleImplementation.cpp
@@ -118,7 +118,7 @@ unsigned long HandleImplementation::encodedLength() const
 {
     return sizeof(_value);
 }
-unsigned long HandleImplementation::encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode)
+unsigned long HandleImplementation::encode(void* buffer, unsigned long bufferSize) const
 {
     if (bufferSize < sizeof(_value))
         throw CouldNotEncode(L"Not enough room in buffer to encode handle");
@@ -287,7 +287,6 @@ unsigned long MessageRetractionHandleImplementation::encodedLength() const
 }
 
 unsigned long MessageRetractionHandleImplementation::encode(void* buffer, unsigned long bufferSize) const
-    throw(CouldNotEncode)
 {
     if (bufferSize < (sizeof(_value) + sizeof(_serialNum)))
         throw CouldNotEncode(L"Not enough room in buffer to encode handle");
diff --git a/libRTI/ieee1516-2010/HandleImplementation.h b/libRTI/ieee1516-2010/HandleImplementation.h
index 6dd1508f..40d8097d 100644
--- a/libRTI/ieee1516-2010/HandleImplementation.h
+++ b/libRTI/ieee1516-2010/HandleImplementation.h
@@ -73,7 +73,7 @@ public:
 
     /* Alternate encode for directly filling a buffer         */
     virtual unsigned long encodedLength() const;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode);
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const;
 
     virtual std::wstring toString() const;
 
@@ -151,7 +151,7 @@ public:
 
     /* Alternate encode for directly filling a buffer         */
     virtual unsigned long encodedLength() const;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode);
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const;
 
     ULong getSerialNum() const
     {
diff --git a/libRTI/ieee1516-2010/RTI1516fedTime.cpp b/libRTI/ieee1516-2010/RTI1516fedTime.cpp
index 9e579c6f..99b65d94 100644
--- a/libRTI/ieee1516-2010/RTI1516fedTime.cpp
+++ b/libRTI/ieee1516-2010/RTI1516fedTime.cpp
@@ -35,14 +35,14 @@
 #include "RTI1516fedTime.h"
 
 rti1516e::LogicalTime& rti1516e::LogicalTime::
-operator=(rti1516e::LogicalTime const& /*value*/) throw(rti1516e::InvalidLogicalTime)
+operator=(rti1516e::LogicalTime const& /*value*/)
 {
     throw std::wstring(L"Operator should be overloaded");
     //throw rti1516e::InvalidLogicalTime(L"Operator should be overloaded");
 }
 
 rti1516e::LogicalTimeInterval& rti1516e::LogicalTimeInterval::
-operator=(rti1516e::LogicalTimeInterval const& /*value*/) throw(rti1516e::InvalidLogicalTimeInterval)
+operator=(rti1516e::LogicalTimeInterval const& /*value*/)
 {
     throw std::wstring(L"Operator should be overloaded");
     //throw rti1516e::InvalidLogicalTimeInterval(L"Operator should be overloaded");
@@ -65,7 +65,7 @@ RTI1516fedTime::RTI1516fedTime(const RTI1516fedTime& other)
 {
 }
 
-RTI1516fedTime::~RTI1516fedTime() throw()
+RTI1516fedTime::~RTI1516fedTime() noexcept
 {
 }
 
@@ -95,7 +95,7 @@ bool RTI1516fedTime::isFinal() const
     return (_fedTime == _zero);
 }
 
-rti1516e::LogicalTime& RTI1516fedTime::operator=(rti1516e::LogicalTime const& value) throw(rti1516e::InvalidLogicalTime)
+rti1516e::LogicalTime& RTI1516fedTime::operator=(rti1516e::LogicalTime const& value)
 {
     if (this != &value) {
         const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
@@ -130,8 +130,7 @@ RTI1516fedTime& RTI1516fedTime::operator=(RTI1516fedTime const& other) throw()
 }
 
 rti1516e::LogicalTime& RTI1516fedTime::
-operator+=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::IllegalTimeArithmetic,
-                                                             rti1516e::InvalidLogicalTimeInterval)
+operator+=(rti1516e::LogicalTimeInterval const& value)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -149,8 +148,7 @@ operator+=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::IllegalTi
 }
 
 rti1516e::LogicalTime& RTI1516fedTime::
-operator-=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::IllegalTimeArithmetic,
-                                                             rti1516e::InvalidLogicalTimeInterval)
+operator-=(rti1516e::LogicalTimeInterval const& value)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -167,7 +165,7 @@ operator-=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::IllegalTi
     return *this;
 }
 
-bool RTI1516fedTime::operator>(rti1516e::LogicalTime const& value) const throw(rti1516e::InvalidLogicalTime)
+bool RTI1516fedTime::operator>(rti1516e::LogicalTime const& value) const
 {
     const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
     if (other == NULL) {
@@ -183,7 +181,7 @@ bool RTI1516fedTime::operator>(rti1516e::LogicalTime const& value) const throw(r
     return false;
 }
 
-bool RTI1516fedTime::operator<(rti1516e::LogicalTime const& value) const throw(rti1516e::InvalidLogicalTime)
+bool RTI1516fedTime::operator<(rti1516e::LogicalTime const& value) const
 {
     const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
     if (other == NULL) {
@@ -199,7 +197,7 @@ bool RTI1516fedTime::operator<(rti1516e::LogicalTime const& value) const throw(r
     return false;
 }
 
-bool RTI1516fedTime::operator==(rti1516e::LogicalTime const& value) const throw(rti1516e::InvalidLogicalTime)
+bool RTI1516fedTime::operator==(rti1516e::LogicalTime const& value) const
 {
     const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
     if (other == NULL) {
@@ -216,7 +214,7 @@ bool RTI1516fedTime::operator==(rti1516e::LogicalTime const& value) const throw(
     return false;
 }
 
-bool RTI1516fedTime::operator>=(rti1516e::LogicalTime const& value) const throw(rti1516e::InvalidLogicalTime)
+bool RTI1516fedTime::operator>=(rti1516e::LogicalTime const& value) const
 {
     const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
     if (other == NULL) {
@@ -232,7 +230,7 @@ bool RTI1516fedTime::operator>=(rti1516e::LogicalTime const& value) const throw(
     return false;
 }
 
-bool RTI1516fedTime::operator<=(rti1516e::LogicalTime const& value) const throw(rti1516e::InvalidLogicalTime)
+bool RTI1516fedTime::operator<=(rti1516e::LogicalTime const& value) const
 {
     const RTI1516fedTime* other = dynamic_cast<const RTI1516fedTime*>(&value);
     if (other == NULL) {
@@ -269,7 +267,7 @@ size_t RTI1516fedTime::encodedLength() const
     return sizeof(double);
 }
 
-size_t RTI1516fedTime::encode(void* buffer, size_t bufferSize) const throw(rti1516e::CouldNotEncode)
+size_t RTI1516fedTime::encode(void* buffer, size_t bufferSize) const
 {
     if (bufferSize >= sizeof(double)) {
 #ifdef HOST_IS_BIG_ENDIAN
@@ -293,8 +291,7 @@ size_t RTI1516fedTime::encode(void* buffer, size_t bufferSize) const throw(rti15
 
 // Decode encodedLogicalTime into self
 
-void RTI1516fedTime::decode(rti1516e::VariableLengthData const& encodedLogicalTime) throw(rti1516e::InternalError,
-                                                                                          rti1516e::CouldNotDecode)
+void RTI1516fedTime::decode(rti1516e::VariableLengthData const& encodedLogicalTime)
 {
     union ud {
         double dv;
@@ -310,8 +307,7 @@ void RTI1516fedTime::decode(rti1516e::VariableLengthData const& encodedLogicalTi
 
 // Alternate decode that reads directly from a buffer
 
-void RTI1516fedTime::decode(void* buffer, size_t bufferSize) throw(rti1516e::InternalError,
-                                                                          rti1516e::CouldNotDecode)
+void RTI1516fedTime::decode(void* buffer, size_t bufferSize)
 {
     if (bufferSize >= sizeof(double)) {
         union ud {
@@ -393,7 +389,7 @@ bool RTI1516fedTimeInterval::isEpsilon() const
 }
 
 rti1516e::LogicalTimeInterval& RTI1516fedTimeInterval::
-operator=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::InvalidLogicalTimeInterval)
+operator=(rti1516e::LogicalTimeInterval const& value)
 {
     if (this != &value) {
         const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
@@ -429,7 +425,7 @@ RTI1516fedTimeInterval& RTI1516fedTimeInterval::operator=(RTI1516fedTimeInterval
 // Set self to the difference between two LogicalTimes
 
 void RTI1516fedTimeInterval::setToDifference(
-    rti1516e::LogicalTime const& minuend, rti1516e::LogicalTime const& subtrahend) throw(rti1516e::InvalidLogicalTime)
+    rti1516e::LogicalTime const& minuend, rti1516e::LogicalTime const& subtrahend)
 {
     const RTI1516fedTime* val1 = dynamic_cast<const RTI1516fedTime*>(&minuend);
     const RTI1516fedTime* val2 = dynamic_cast<const RTI1516fedTime*>(&subtrahend);
@@ -469,7 +465,7 @@ void RTI1516fedTimeInterval::setToDifference(
 } /* end of RTI1516fedTimeInterval::setToDifference */
 
 rti1516e::LogicalTimeInterval& RTI1516fedTimeInterval::
-operator+=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::InvalidLogicalTimeInterval)
+operator+=(rti1516e::LogicalTimeInterval const& value)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -486,7 +482,7 @@ operator+=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::InvalidLo
 }
 
 rti1516e::LogicalTimeInterval& RTI1516fedTimeInterval::
-operator-=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::InvalidLogicalTimeInterval)
+operator-=(rti1516e::LogicalTimeInterval const& value)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -503,7 +499,6 @@ operator-=(rti1516e::LogicalTimeInterval const& value) throw(rti1516e::InvalidLo
 }
 
 bool RTI1516fedTimeInterval::operator>(rti1516e::LogicalTimeInterval const& value) const
-    throw(rti1516e::InvalidLogicalTimeInterval)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -520,7 +515,6 @@ bool RTI1516fedTimeInterval::operator>(rti1516e::LogicalTimeInterval const& valu
 } /* end of RTI1516fedTimeInterval::operator> */
 
 bool RTI1516fedTimeInterval::operator<(rti1516e::LogicalTimeInterval const& value) const
-    throw(rti1516e::InvalidLogicalTimeInterval)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -537,7 +531,6 @@ bool RTI1516fedTimeInterval::operator<(rti1516e::LogicalTimeInterval const& valu
 }
 
 bool RTI1516fedTimeInterval::operator==(rti1516e::LogicalTimeInterval const& value) const
-    throw(rti1516e::InvalidLogicalTimeInterval)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -554,7 +547,6 @@ bool RTI1516fedTimeInterval::operator==(rti1516e::LogicalTimeInterval const& val
 }
 
 bool RTI1516fedTimeInterval::operator>=(rti1516e::LogicalTimeInterval const& value) const
-    throw(rti1516e::InvalidLogicalTimeInterval)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -571,7 +563,6 @@ bool RTI1516fedTimeInterval::operator>=(rti1516e::LogicalTimeInterval const& val
 }
 
 bool RTI1516fedTimeInterval::operator<=(rti1516e::LogicalTimeInterval const& value) const
-    throw(rti1516e::InvalidLogicalTimeInterval)
 {
     const RTI1516fedTimeInterval* other = dynamic_cast<const RTI1516fedTimeInterval*>(&value);
     if (other == NULL) {
@@ -609,7 +600,6 @@ size_t RTI1516fedTimeInterval::encodedLength() const
 }
 
 size_t RTI1516fedTimeInterval::encode(void* buffer, size_t bufferSize) const
-    throw(rti1516e::CouldNotEncode)
 {
     if (bufferSize >= sizeof(double)) {
 #ifdef HOST_IS_BIG_ENDIAN
@@ -633,8 +623,7 @@ size_t RTI1516fedTimeInterval::encode(void* buffer, size_t bufferSize) const
 
 // Decode encodedValue into self
 
-void RTI1516fedTimeInterval::decode(rti1516e::VariableLengthData const& encodedValue) throw(rti1516e::InternalError,
-                                                                                            rti1516e::CouldNotDecode)
+void RTI1516fedTimeInterval::decode(rti1516e::VariableLengthData const& encodedValue)
 {
     union ud {
         double dv;
@@ -650,8 +639,7 @@ void RTI1516fedTimeInterval::decode(rti1516e::VariableLengthData const& encodedV
 
 // Alternate decode that reads directly from a buffer
 
-void RTI1516fedTimeInterval::decode(void* buffer, size_t bufferSize) throw(rti1516e::InternalError,
-                                                                                  rti1516e::CouldNotDecode)
+void RTI1516fedTimeInterval::decode(void* buffer, size_t bufferSize)
 {
     if (bufferSize >= sizeof(double)) {
         union ud {
@@ -691,17 +679,17 @@ std::wstring RTI1516fedTimeInterval::implementationName() const
 //---------------- RTI1516fedTimeFactory ------------------//
 /////////////////////////////////////////////////////////////
 
-RTI1516fedTimeFactory::RTI1516fedTimeFactory() throw()
+RTI1516fedTimeFactory::RTI1516fedTimeFactory() noexcept
 {
 }
 
-RTI1516fedTimeFactory::~RTI1516fedTimeFactory() throw()
+RTI1516fedTimeFactory::~RTI1516fedTimeFactory() noexcept
 {
 }
 
 // Returns a LogicalTime with a value of "initial"
 
-std::unique_ptr<rti1516e::LogicalTime> RTI1516fedTimeFactory::makeLogicalTime() throw(rti1516e::InternalError)
+std::unique_ptr<rti1516e::LogicalTime> RTI1516fedTimeFactory::makeLogicalTime()
 {
     RTI1516fedTime* fedTime = new RTI1516fedTime(0);
 
@@ -709,7 +697,7 @@ std::unique_ptr<rti1516e::LogicalTime> RTI1516fedTimeFactory::makeLogicalTime()
 }
 
 std::unique_ptr<rti1516e::LogicalTime>
-RTI1516fedTimeFactory::makeLogicalTime(double timeVal) throw(rti1516e::InternalError)
+RTI1516fedTimeFactory::makeLogicalTime(double timeVal)
 {
     RTI1516fedTime* fedTime = new RTI1516fedTime(timeVal);
 
@@ -719,7 +707,7 @@ RTI1516fedTimeFactory::makeLogicalTime(double timeVal) throw(rti1516e::InternalE
 // Returns a LogicalTimeInterval with a value of "zero"
 
 std::unique_ptr<rti1516e::LogicalTimeInterval>
-RTI1516fedTimeFactory::makeLogicalTimeInterval() throw(rti1516e::InternalError)
+RTI1516fedTimeFactory::makeLogicalTimeInterval()
 {
     RTI1516fedTimeInterval* fedTimeInterval = new RTI1516fedTimeInterval(0);
 
@@ -727,7 +715,7 @@ RTI1516fedTimeFactory::makeLogicalTimeInterval() throw(rti1516e::InternalError)
 }
 
 std::unique_ptr<rti1516e::LogicalTimeInterval>
-RTI1516fedTimeFactory::makeLogicalTimeInterval(double timeInterval) throw(rti1516e::InternalError)
+RTI1516fedTimeFactory::makeLogicalTimeInterval(double timeInterval)
 {
     RTI1516fedTimeInterval* fedTimeInterval = new RTI1516fedTimeInterval(timeInterval);
 
diff --git a/libRTI/ieee1516-2010/RTI1516fedTime.h b/libRTI/ieee1516-2010/RTI1516fedTime.h
index bf021210..8d2ccf7f 100644
--- a/libRTI/ieee1516-2010/RTI1516fedTime.h
+++ b/libRTI/ieee1516-2010/RTI1516fedTime.h
@@ -36,48 +36,40 @@ public:
 
 	virtual
 		rti1516e::LogicalTime &
-		operator=(rti1516e::LogicalTime const & value)
-		throw (rti1516e::InvalidLogicalTime);
+        operator=(rti1516e::LogicalTime const & value);
 
 	virtual
 		RTI1516fedTime &
 		operator=(RTI1516fedTime const & value)
-		throw ();
+        noexcept;
 
 	virtual
 		rti1516e::LogicalTime &
-		operator+=(rti1516e::LogicalTimeInterval const & addend)
-		throw (rti1516e::IllegalTimeArithmetic, rti1516e::InvalidLogicalTimeInterval);
+        operator+=(rti1516e::LogicalTimeInterval const & addend);
 
 	virtual
 		rti1516e::LogicalTime &
-		operator-=(rti1516e::LogicalTimeInterval const & subtrahend)
-		throw (rti1516e::IllegalTimeArithmetic, rti1516e::InvalidLogicalTimeInterval);
+        operator-=(rti1516e::LogicalTimeInterval const & subtrahend);
 
 	virtual
 		bool
-		operator>(rti1516e::LogicalTime const & value) const
-		throw (rti1516e::InvalidLogicalTime);
+        operator>(rti1516e::LogicalTime const & value) const;
 
 	virtual
 		bool
-		operator<(rti1516e::LogicalTime const & value) const
-		throw (rti1516e::InvalidLogicalTime);
+        operator<(rti1516e::LogicalTime const & value) const;
 
 	virtual
 		bool
-		operator==(rti1516e::LogicalTime const & value) const
-		throw (rti1516e::InvalidLogicalTime);
+        operator==(rti1516e::LogicalTime const & value) const;
 
 	virtual
 		bool
-		operator>=(rti1516e::LogicalTime const & value) const
-		throw (rti1516e::InvalidLogicalTime);
+        operator>=(rti1516e::LogicalTime const & value) const;
 
 	virtual
 		bool
-		operator<=(rti1516e::LogicalTime const & value) const
-		throw (rti1516e::InvalidLogicalTime);
+        operator<=(rti1516e::LogicalTime const & value) const;
 
 	// Generates an encoded value that can be used to send
 	// LogicalTimes to other federates in updates or interactions
@@ -93,23 +85,18 @@ public:
 
 	virtual 
 		size_t 
-		encode(void* buffer, size_t bufferSize) const 
-		throw (rti1516e::CouldNotEncode);
+        encode(void* buffer, size_t bufferSize) const;
 
 	// Decode encodedLogicalTime into self
 	// Not implemented.
 	virtual 
 		void 
-		decode(rti1516e::VariableLengthData const & encodedLogicalTime)
-		throw (rti1516e::InternalError,
-		rti1516e::CouldNotDecode);
+        decode(rti1516e::VariableLengthData const & encodedLogicalTime);
 
 	// Alternate decode that reads directly from a buffer
 	virtual 
 		void 
-		decode(void* buffer, size_t bufferSize)
-		throw (rti1516e::InternalError,
-		rti1516e::CouldNotDecode);
+        decode(void* buffer, size_t bufferSize);
 
 	virtual 
 		std::wstring 
@@ -144,7 +131,7 @@ public:
 
 	virtual
 		~RTI1516fedTimeInterval()
-		throw ();
+        noexcept;
 
 	virtual
 		void
@@ -164,55 +151,46 @@ public:
 
 	virtual
 		rti1516e::LogicalTimeInterval &
-		operator=(rti1516e::LogicalTimeInterval const & value)
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator=(rti1516e::LogicalTimeInterval const & value);
 
 	virtual
 		RTI1516fedTimeInterval &
 		operator=(RTI1516fedTimeInterval const & other)
-		throw ();
+        noexcept;
 
 	// Set self to the difference between two LogicalTimes
 	virtual
 		void
 		setToDifference(rti1516e::LogicalTime const & minuend,
-		rti1516e::LogicalTime const& subtrahend)
-		throw (rti1516e::InvalidLogicalTime);
+        rti1516e::LogicalTime const& subtrahend);
 
 	virtual
 		rti1516e::LogicalTimeInterval &
-		operator+=(rti1516e::LogicalTimeInterval const & addend)
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator+=(rti1516e::LogicalTimeInterval const & addend);
 
 	virtual
 		rti1516e::LogicalTimeInterval &
-		operator-=(rti1516e::LogicalTimeInterval const & subtrahend)
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator-=(rti1516e::LogicalTimeInterval const & subtrahend);
 
 	virtual
 		bool
-		operator>(rti1516e::LogicalTimeInterval const & value) const
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator>(rti1516e::LogicalTimeInterval const & value) const;
 
 	virtual
 		bool
-		operator<(rti1516e::LogicalTimeInterval const & value) const
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator<(rti1516e::LogicalTimeInterval const & value) const;
 
 	virtual
 		bool
-		operator==(rti1516e::LogicalTimeInterval const & value) const
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator==(rti1516e::LogicalTimeInterval const & value) const;
 
 	virtual
 		bool
-		operator>=(rti1516e::LogicalTimeInterval const & value) const
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator>=(rti1516e::LogicalTimeInterval const & value) const;
 
 	virtual
 		bool
-		operator<=(rti1516e::LogicalTimeInterval const & value) const
-		throw (rti1516e::InvalidLogicalTimeInterval);
+        operator<=(rti1516e::LogicalTimeInterval const & value) const;
 
 	// Generates an encoded value that can be used to send
 	// LogicalTimeIntervals to other federates in updates or interactions
@@ -228,21 +206,18 @@ public:
 
 	virtual 
 		size_t 
-		encode(void* buffer, size_t bufferSize) const 
-		throw (rti1516e::CouldNotEncode);
+        encode(void* buffer, size_t bufferSize) const;
 
 	// Decode encodedValue into self
 	// Not implemented.
 	virtual 
 		void 
-		decode(rti1516e::VariableLengthData const & encodedValue)
-		throw (rti1516e::InternalError, rti1516e::CouldNotDecode);
+        decode(rti1516e::VariableLengthData const & encodedValue);
 
 	// Alternate decode that reads directly from a buffer
 	virtual 
 		void 
-		decode(void* buffer, size_t bufferSize)
-		throw (rti1516e::InternalError, rti1516e::CouldNotDecode);
+        decode(void* buffer, size_t bufferSize);
 
 	virtual 
 		std::wstring 
@@ -273,36 +248,32 @@ class RTI_EXPORT_FEDTIME RTI1516fedTimeFactory : public rti1516e::LogicalTimeFac
 public:
 	virtual
 		~RTI1516fedTimeFactory()
-		throw ();
+        noexcept;
 
 	// Returns a LogicalTime with a value of "initial"
 	virtual
 		std::unique_ptr< rti1516e::LogicalTime >
-		makeLogicalTime()
-		throw (rti1516e::InternalError);
+        makeLogicalTime();
 
 	virtual
 		std::unique_ptr< rti1516e::LogicalTime >
-		makeLogicalTime(double timeVal)
-		throw (rti1516e::InternalError);
+        makeLogicalTime(double timeVal);
 
 	// Returns a LogicalTimeInterval with a value of "zero"
 	virtual 
 		std::unique_ptr< rti1516e::LogicalTimeInterval >
-		makeLogicalTimeInterval() 
-		throw (rti1516e::InternalError);
+        makeLogicalTimeInterval();
 
 	virtual 
 		std::unique_ptr< rti1516e::LogicalTimeInterval >
-		makeLogicalTimeInterval(double timeInterval) 
-		throw (rti1516e::InternalError);
+        makeLogicalTimeInterval(double timeInterval);
 
 private:
 	friend class rti1516e::LogicalTimeFactoryFactory;
 
 	// Private constructor - Only for LogicalTimeFactoryFactory to access.
 	RTI1516fedTimeFactory()
-		throw();
+        noexcept;
 
 }; // class RTI_EXPORT_FEDTIME RTI1516fedTimeFactory
 
diff --git a/libRTI/ieee1516-2010/RTIambassadorFactory.cpp b/libRTI/ieee1516-2010/RTIambassadorFactory.cpp
index 5b3d0b41..b8a6fb77 100644
--- a/libRTI/ieee1516-2010/RTIambassadorFactory.cpp
+++ b/libRTI/ieee1516-2010/RTIambassadorFactory.cpp
@@ -50,7 +50,7 @@ static PrettyDebug G1516("GENDOC1516e", __FILE__);
 }
 
 std::auto_ptr<rti1516e::RTIambassador>
-rti1516e::RTIambassadorFactory::createRTIambassador() throw(rti1516e::RTIinternalError)
+rti1516e::RTIambassadorFactory::createRTIambassador()
 {
     certi::RTI1516ambassador* p_ambassador(new certi::RTI1516ambassador());
 
